<?php

namespace Sugarcrm\Sugarcrm\custom\PxRoutines\NeedToDoViewer\Helpers;

class TargetModuleListFilter
{

    protected $moduleList;

    protected $blackModuleList = array(
        'Home', 'OAuthTokens', 'SchedulersJobs', 'Activities', 'vCals', 'KBArticles', 'KBDocuments',
        'Forecasts', 'ForecastWorksheets', 'ForecastManagerWorksheets', 'Notifications', /*'Quotes',*/
        'ActivityStream/Activities', 'ACLRoles', 'Teams', 'pmse_Project/pmse_BpmProcessDefinition',
        'iFrames', 'Feeds', 'Dashboard', 'Calendar', /*'Reports',*/
        'pmse_Business_Rules', 'pmse_Project',
        'pmse_Emails_Templates', 'pmse_Inbox',
        'PX_NeedToDoEvents', 'PX_NeedToDoEventTypes',
    );

    public function __construct()
    {
    }

    public function getModuleList()
    {
        if (!isset($this->moduleList)) {
            $this->setModuleList();
        }
        return $this->moduleList;
    }

    protected function setModuleList()
    {
        global $app_list_strings;

        $this->moduleList = array();
        foreach ($app_list_strings['moduleList'] as $moduleName => $moduleLabel) {
            if (!in_array($moduleName, $this->blackModuleList) && !\isModuleBWC($moduleName)) { //$current_user->isDeveloperForModule($moduleName)
                $this->moduleList[$moduleName] = $moduleLabel;
            }
        }

        if (!empty($this->moduleList)) {
            asort($this->moduleList);
        }
    }

}