<?php

namespace Sugarcrm\Sugarcrm\custom\PxRoutines\NeedToDoViewer\Package\License\JWT\Namshi\JOSE\Signer\OpenSSL;

use Sugarcrm\Sugarcrm\custom\PxRoutines\NeedToDoViewer\Package\License\JWT\Namshi\JOSE\Signer\SignerInterface;

/**
 * None Signer.
 */
class None implements SignerInterface
{
    /**
     * {@inheritdoc}
     */
    public function sign($input, $key)
    {
        return '';
    }

    /**
     * {@inheritdoc}
     */
    public function verify($key, $signature, $input)
    {
        return $signature === '';
    }
}
