<?php

require_once 'include/utils/LogicHook.php';

class NeedToDoEventsLogicHook extends \LogicHook{

    public function process_hooks($hookArray, $event, $arguments)
    {
        $hookArray = $this->removeActivitystreamFromHooks($hookArray);
        parent::process_hooks($hookArray, $event, $arguments);
    }

    public function removeActivitystreamFromHooks($hookArray){
        $cleanHookArray = array();
        foreach($hookArray as $hookType => $hookGroup){
            foreach($hookGroup as $hookDefs)
                if(!in_array('activitystream', $hookDefs)){
                    $cleanHookArray[$hookType][] = $hookDefs;
                }
        }

        return $cleanHookArray;
    }

}
