<?php

namespace Sugarcrm\Sugarcrm\custom\PxRoutines\NeedToDoViewer\PX_NeedToDoViewerComments\Helpers\Notification\Events;

class ConversationParticipation extends Event
{

    protected $langKey = 'NEW_MSG_IN_CONVERSATION';

    protected $eventPriority = 200;

    public function __construct($commentEntity)
    {
        parent::__construct($commentEntity);
    }

    public function defineRecipientIds()
    {
        $conversationParticipants = $this->commentEntity->getConversationParticipants();
        foreach($conversationParticipants->getParticipantsIds() as $userId){
            $this->recipientIds[$userId] = $userId;
        }
    }
}