<?php

namespace Sugarcrm\Sugarcrm\custom\PxRoutines\NeedToDoViewer\PX_NeedToDoViewerComments\Helpers\Notification\Events;

class ReplyEvent extends Event
{

    protected $langKey = 'NEW_REPLY_TO_POST';

    protected $eventPriority = 100;

    public function __construct($commentEntity)
    {
        parent::__construct($commentEntity);
    }

    public function defineRecipientIds()
    {
        $conversationParticipants = $this->commentEntity->getConversationParticipants();
        $dialogAuthorId = $conversationParticipants->getDialogAuthorIds();
        $this->recipientIds[$dialogAuthorId] = $dialogAuthorId;
    }
}