<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

$dictionary['px_ntdv_notify_users'] = array(
    'table' => 'px_ntdv_notify_users',
    'fields' => array(
        'id' => array(
            'name' => 'id',
            'type' => 'id',
        ),
        'date_entered' => array(
            'name' => 'date_entered',
            'type' => 'datetime',
        ),
        'created_by' => array(
            'name' => 'created_by',
            'dbType' => 'id',
        ),
        'description' => array(
            'name' => 'description',
            'type' => 'text',
        ),
        'event_id' => array(
            'name' => 'event_id',
            'type' => 'id',
        ),
        'user_id' => array(
            'name' => 'user_id',
            'type' => 'id',
        ),
        'notified' => array(
            'name' => 'notified',
            'type' => 'int',
            'len' => 1,
            'default' => 0,
        ),
        'overdue_notified' => array(
            'name' => 'overdue_notified',
            'type' => 'int',
            'len' => 1,
            'default' => 0,
        ),
    ),
    'indices' => array(
        array(
            'name' => 'px_ntdv_notify_users_pk',
            'type' => 'primary',
            'fields' => array('id'),
        ),
        array(
            'name' => 'px_ntdvnu_user_id_notified',
            'type' => 'index',
            'fields' => array(
                'user_id',
                'notified',
            ),
        ),
        array(
            'name' => 'px_ntdvnu_usrid_ntfd_event_id',
            'type' => 'index',
            'fields' => array(
                'user_id',
                'notified',
                'event_id',
                'id',
            ),
        ),
    ),
    'relationships' => array()
);
