({

    extendsFrom: 'ImageField',

    /**
     * @override
     *
     * FIXME: The {@link #model} used by this view should be a {@link Data.Bean}
     * and not a simple {@link Backbone.Model}. This should be removed when
     * {@link View.Views.Base.HistorySummaryView} view is refactored to use a
     * true {@link Data.MixedBeanCollection}.
     */
    initialize: function(options) {
        this._super('initialize', [options]);

        this.model.on('change:' + this.name + '_guid', function(model, value) {
            this.model.set('uploaded_icon_id', value);
        }, this);
    },

    /**
     * @override
     * @param value
     * @return value
     */
    format: function(value) {
        if (value) {
            value = this.buildUrl() + "&_hash=" + this.model.get('date_modified');
        }
        return value;
    },

    bindDataChange: function() {
        //Keep empty for edit because you cannot set a value of an input type `file`
        var viewType = this.view.name || this.options.viewName;
        var ignoreViewType = ["create"];
        if ((_.indexOf(ignoreViewType, viewType) < 0)
            && (this.view.name !== 'merge-duplicates')) {

            //app.view.Field.prototype.bindDataChange.call(this);
            if (this.model) {
                this.model.on("change:" + this.name, function(model, value) {
                    if (this.action === 'edit') {
                        // Should directly set the value in edit instead of re-rendering the whole field (see MAR-1617).
                        if(value) {
                            this.$el.find('.image_preview').find('.fa').remove();
                            this.$el.find('.image_preview').append('<img src="' + this.format(value) + '">');
                            this.$el.find('img').on('load', $.proxy(this.resizeWidget, this))
                        }
                    } else {
                        this.render();
                    }

                }, this);
            }
        }
    },
})
